#!/bin/bash

# Run the job daemon. No need to check if it's still running -
# the daemon manages that part all by itself. Also, log stuff.
#
# by Sebastian Kelm

function abspath {
        if [[ -d "$1" ]]; then
                pushd "$1" >/dev/null
                pwd
                popd >/dev/null
        elif [[ -e "$1" ]]; then
                pushd $(dirname "$1") >/dev/null
                echo $(pwd)/$(basename "$1")
                popd >/dev/null
        else
                echo "Error: '$1' does not exist!" 1>&2
                return 127
        fi
}


here=`abspath "$0"`
here=`dirname "$here"`

if [ -f "/opt/lsf/conf/profile.lsf" ]; then
  . /opt/lsf/conf/profile.lsf
fi

if [ -f "$HOME/.bashrc" ]; then
  . $HOME/.bashrc
fi

$here/job.pl >> $here/medeller-deamon.log 2>&1 &
